Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » Problem with using TPTP's API Recorder
Problem with using TPTP's API Recorder [message #140315] Thu, 12 February 2009 10:04 Go to next message
Ihor is currently offline Ihor
Messages: 1
Registered: July 2009
Junior Member
Hi,

I'm very new to using TPTP. And i've got problem with launching my app
with API Recorder agent - JVMPI isn't supported.

I've spent some time on reading news of this group but haven't found out
aswer:

Is there any possibility launch API Recorder agent with Java 1.6?

My configuration:

- Eclipse Platform 3.4.1 running on windows (IA32)
- TPTP Plugin version 4.5.1 (API Recorder version 4.3.0)
- Java 1.6.0_11

Thank you in advance,

Ihor.
Re: Problem with using TPTP's API Recorder [message #140626 is a reply to message #140315] Fri, 20 February 2009 08:48 Go to previous messageGo to next message
Paul Slauenwhite is currently offline Paul Slauenwhite
Messages: 970
Registered: July 2009
Senior Member
Hi Ihor,
The API Recorder builds on the TPTP ProbeKit, which supports Java 1.6.
However, after testing this configuration, the API Recorder hangs during
recording in a Java 1.6 run-time. Please open a TPTP defect
(Test.Agents.Recorder component) at:

https://bugs.eclipse.org/bugs/enter_bug.cgi?product=TPTP%20T esting

As a work-around, please use Java 1.5, since this run-time has been tested
in TPTP 4.5.x.

Paul
"Ihor " <ihorko@i.ua> wrote in message
news:b04f7204d3cbd2bdc5c4b58fa54e8171$1@www.eclipse.org...
> Hi,
>
> I'm very new to using TPTP. And i've got problem with launching my app
> with API Recorder agent - JVMPI isn't supported.
>
> I've spent some time on reading news of this group but haven't found out
> aswer:
>
> Is there any possibility launch API Recorder agent with Java 1.6?
>
> My configuration:
>
> - Eclipse Platform 3.4.1 running on windows (IA32)
> - TPTP Plugin version 4.5.1 (API Recorder version 4.3.0)
> - Java 1.6.0_11
>
> Thank you in advance,
>
> Ihor.
>
>
>
Re: Problem with using TPTP's API Recorder [message #140825 is a reply to message #140626] Mon, 02 March 2009 10:52 Go to previous message
Paul Slauenwhite is currently offline Paul Slauenwhite
Messages: 970
Registered: July 2009
Senior Member
See https://bugs.eclipse.org/bugs/show_bug.cgi?id=266676.

Thanks Ihor for opening this defect.
"Paul Slauenwhite" <paules@ca.ibm.com> wrote in message
news:gnmcba$o6p$1@build.eclipse.org...
> Hi Ihor,
> The API Recorder builds on the TPTP ProbeKit, which supports Java 1.6.
> However, after testing this configuration, the API Recorder hangs during
> recording in a Java 1.6 run-time. Please open a TPTP defect
> (Test.Agents.Recorder component) at:
>
> https://bugs.eclipse.org/bugs/enter_bug.cgi?product=TPTP%20T esting
>
> As a work-around, please use Java 1.5, since this run-time has been tested
> in TPTP 4.5.x.
>
> Paul
> "Ihor " <ihorko@i.ua> wrote in message
> news:b04f7204d3cbd2bdc5c4b58fa54e8171$1@www.eclipse.org...
>> Hi,
>>
>> I'm very new to using TPTP. And i've got problem with launching my app
>> with API Recorder agent - JVMPI isn't supported.
>>
>> I've spent some time on reading news of this group but haven't found out
>> aswer:
>>
>> Is there any possibility launch API Recorder agent with Java 1.6?
>>
>> My configuration:
>>
>> - Eclipse Platform 3.4.1 running on windows (IA32)
>> - TPTP Plugin version 4.5.1 (API Recorder version 4.3.0)
>> - Java 1.6.0_11
>>
>> Thank you in advance,
>>
>> Ihor.
>>
>>
>>
>
>
>
Previous Topic:Getting full XML trace from Eclipse plugged-in TPTP
Next Topic:TPTP v4.5.3 will be renaming to TPTP v4.6 and JRE 1.4 support will be removed
Goto Forum:
  


Current Time: Sat Aug 30 18:37:56 EDT 2014

Powered by FUDForum. Page generated in 0.01745 seconds